aboutsummaryrefslogtreecommitdiffstats
path: root/community/clamsmtp/clamsmtpd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/clamsmtp/clamsmtpd.initd')
-rw-r--r--community/clamsmtp/clamsmtpd.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/community/clamsmtp/clamsmtpd.initd b/community/clamsmtp/clamsmtpd.initd
new file mode 100644
index 0000000000..c3942b3b07
--- /dev/null
+++ b/community/clamsmtp/clamsmtpd.initd
@@ -0,0 +1,23 @@
+#!/sbin/openrc-run
+
+NAME=clamsmtpd
+DAEMON=/usr/sbin/$NAME
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${NAME}"
+ start-stop-daemon --start --quiet \
+ --exec ${DAEMON} -- ${OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${NAME}"
+ start-stop-daemon --stop --quiet \
+ --exec ${DAEMON}
+ eend $?
+}